START-STOP-DAEMON(8)

NAME
start-stop-daemon - startet und stoppt System-Daemon-Programme

ÜBERSICHT
start-stop-daemon -S|--start Optionen [--] Argumente

start-stop-daemon -K|--stop Optionen

start-stop-daemon -H|--help

start-stop-daemon -V|--version

BESCHREIBUNG
start-stop-daemon wird zur Kontrolle der Erzeugung und Beendigung von Prozessen auf Systemebene verwendet. Durch die Verwendung der --exec, --pidfile, --user, und --name Optionen kann start-stop-daemon so konfiguriert werden, daß er bereits existierende Instanzen von einem laufenden Prozess finden kann.

Mittels --start überprüft start-stop-daemon auf die Existenz von speziellen Prozessen. Falls ein solcher Prozess existiert, dann macht start-stop-daemon nichts, und beendet sich mit Fehlerstatus 1 (0, falls --oknodo angegeben wurde). Falls ein solcher Prozess nicht existiert, dann startet es eine Instanz, entweder unter Verwendung des ausführbaren Programms, das mittels --exec spezifiziert wurde (oder, falls angegeben, mittels --startas). Jedes weitere auf der Kommandozeile angegebene Argument nach -- wird unverändert an das zu startende Programm weitergegeben. Falls --retry spezifiziert wurde, dann überprüft start-stop-daemon ob der Prozess (die Prozesse) beendet wurden.

Mit --stop überprüft start-stop-daemon auf auf die Existenz eines speziellen Prozesses. Falls ein solcher Prozess existiert, dann sendet start-stop-daemon das durch --signal spezifizierte Signal und beendet sich mit Fehlerstatus 0. Falls kein solcher Prozess existiert, dann beendet sich start-stop-daemon mit Fehlerstatus 1 (0 falls --oknodo spezifiziert ist).

OPTIONEN

-x|--exec Programm
    Überprüfe auf Prozesse die (laut /proc/pid/exe) Instanzen von diesem Programm sind.

-p|--pidfile pid-Datei
    Überprüfe auf Prozesse deren Prozess-ID in pid-Datei angegeben ist.

-u|--user Benutzername|uid
    Überprüfe auf Prozesse die dem mit Benutzername oder uid spezifizierten Benutzer gehören.

-g|--group Gruppe|gid
    Wechsle zum Starten des Prozesses zur Gruppe oder gid.

-n|--name Prozessname
    Überprüfe (laut /proc/pid/stat) auf Prozesse mit dem Namen Prozessname.

-s|--signal Signal
    Mit --stop wird das an den zu beendenden Prozess zu sendende Signal spezifiziert (standardmäßig 15).

-R|--retry timeout|Plan
    Mit --stop spezifiziert, das start-stop-daemon überprüfen soll, ob der Prozess (die Prozesse) sich beenden. Es überprüft regelmäßig, ob ein passender Prozess läuft, bis dies nicht mehr der Fall ist. Falls sich die Prozesse nicht beenden werden weitere im »Plan« angegebene Aktionen durchgeführt.

    Falls timeout anstelle von Plan spezifiziert wird, dann wird der Plan signal/timeout/KILL/timeout verwendet, wobei signal das mit --signal spezifizierte Signal ist.

    Plan ist eine Liste von mindestens zwei durch Schrägstriche (/) getrennten Punkten; jeder Punkt kann aus -Signalnummer oder [-]Signalname bestehen, was bedeutet, daß dieses Signal gesendet werden soll, oder aus timeout was bedeutet das soviele Sekunden auf das Beenden des Prozesses gewartet werden soll, oder forever was bedeutet, den Rest des Plans falls notwendig für immer zu wiederholen.

    Falls das Ende des Plans erreicht wird und forever nicht spezifiziert wurde, dann beendet sich der start-stop-daemon mit dem Fehlerstatus 2. Falls ein Plan spezifiziert wurde dann wird jedes mit --signal spezifizierte Signal ignoriert.

-a|--startas Pfadname
    Mit --start wir der über Pfadname spezifizierte Prozess gestartet. Falls nicht angegeben, werden standardmäßig die an --exec übergebenen Argumente verwendet.

-t|--test
    Gibt die zu erledigenden Aktionen aus und setzt die entsprechenden Rückgabewerte, führt aber keine Aktionen durch.

-o|--oknodo
    Liefert den Rückgabewert 0 anstatt 1 falls keine Aktionen ausgeführt wurden (würden).

-q|--quiet
    Gibt keine informationelle Meldungen aus, nur Fehlermeldungen werden angezeigt.

-c|--chuid Benutzername|uid
    Wechselt vor dem Start des Prozesses zu diesem Benutzername/uid. Sie können durch Anhängen von : auch die Gruppe spezifizieren, in diesem Fall wird die Gruppe oder gid wie bei dem »chown«-Befehl (Benutzer:Gruppe) angegeben. Wenn Sie diese Option verwenden, müssen Sie daran denken, daß die primäre und zusätzlichen Gruppe auch gesetzt werden, selbst wenn die --group Option nicht spezifiziert wird. Die --group ist nur für Gruppen in denen der Benutzer normalerweise kein Mitglied ist (wie das Hinzufügen von pro-Prozess Gruppenmitgliedschaften für generische Nutzer wie nobody).

-r|--chroot Wurzel
    Chdir und chroot vor dem Start des Prozesse zu Wurzel.# Bitte beachten Sie das die PID-Datei auch nach dem chroot geschrieben wird.

-d|--chdir Pfad
    Chdir vor dem Starten des Prozesses zu Pfad. Dies wird, falls die -r|--chroot Option gesetzt ist, nach dem chroot durchgeführt.

-b|--background
    Typischerweise verwendet für Programme die sich nicht selbständig ablösen. Diese Option zwingt start-stop-daemon vor dem Start des Prozesses einen Fork durchzuführen, und ihn in den Hintergrund zu zwingen. WARNUNG: start-stop-daemon kann nicht den Rückgabewert überprüfen, falls der Prozess aus irgendeinem Grund nicht startet. Dies ist ein letztes Mittel und ist nur für Programme gedacht, bei denen das selbstständige Forken keinen Sinn macht oder wo es nicht sinnvoll ist, den Code hierfür hinzuzufügen.

-N|--nicelevel Ganzzahl
    Dies ändert die Priorität des Prozesses bevor er gestartet wird.

-m|--make-pidfile
    Verwendet wenn ein Programm gestartet wird, dass keine eigene PID-Datei erstellt. Diese Option sorgt dafür, dass start-stop-daemon die mit --pidfile referenzierte Datei anlegt und die PID kurz vor der Ausführung des Prozesse hineinlegt. Beachten Sie, dass sie nicht entfernt wird wenn das Programm beendet wird. HINWEIS: Diese Funktion könnte nicht in allen Fällen funktionieren. Insbesondere wenn das auszuführende Programm sich vom Hauptprozess forkt. Deshalb ist diese Option normalerweise nur in Kombination mit der --background Option sinnvoll.

-v|--verbose
    Gibt ausführliche informative Meldungen aus.

-H|--help
    Gibt Hilfeinformationen aus und beendet sich dann.

-V|--version
    Gibt Versionsinformationen aus und beendet sich dann.

AUTOREN
Marek Michalkiewicz <marekm@i17linuxb.ists.pwr.wroc.pl> basierend auf einer vorherigen Version von Ian Jackson <ian@chiark.greenend.org.uk>.

Handbuchseite von Klee Dienes <klee@mit.edu>, teilweise von Ian Jackson umformatiert.